#pragma once

#include "CoreMinimal.h"
#include "InteractionAnimationPreview.h"
#include "EAkCallbackType.h"
#include "MoriAnimationPreview.generated.h"

class UAkCallbackInfo;

UCLASS(Blueprintable)
class UMoriAnimationPreview : public UInteractionAnimationPreview
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnAudioEventFinished(EAkCallbackType callbackType, UAkCallbackInfo* callbackInfo);

public:
	UMoriAnimationPreview();
};

FORCEINLINE uint32 GetTypeHash(const UMoriAnimationPreview) { return 0; }
